Bug 948606 - LogRotate should be optional, and not a hard "Requires"
Summary: LogRotate should be optional, and not a hard "Requires"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-04 19:28 UTC by abrouwers
Modified: 2013-04-24 01:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 20:17:48 UTC


Attachments (Terms of Use)

Description abrouwers 2013-04-04 19:28:26 UTC
Description of problem:

Since Fedora 17, I've been using systemd's journal quite successfully as my main logging mechanism.  As such, I typically uninstall rsyslog.

In looking through my packages, I noticed that samba was being pulled in on an f19 upgrade (mostly, as g-c-c uses smbclient), which also brought in LogRotate.  This seems really strange (and perhaps something from the past?).

While samba installs some helpers for logrotate, it obviously isn't required for samba to function, especially at the client level.  Therefore, I think it's best to remove the direct dependency, to reduce the dependency overhead.

Thanks for the consideration!

Version-Release number of selected component (if applicable):
F19, rawhide

Comment 1 Fedora Update System 2013-04-10 14:59:53 UTC
samba-4.0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/samba-4.0.5-1.fc19

Comment 2 Fedora Update System 2013-04-10 15:27:29 UTC
samba-4.0.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.5-1.fc18

Comment 3 abrouwers 2013-04-10 15:40:14 UTC
Thanks!

Comment 4 Fedora Update System 2013-04-11 10:03:02 UTC
Package samba-4.0.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-4.0.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5357/samba-4.0.5-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-20 20:17:50 UTC
samba-4.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-04-24 01:29:24 UTC
samba-4.0.5-1.fc18, freeipa-3.1.3-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.